# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize gcc-c++ glib2-devel pkgconfig(glib-2.0) pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
%define sub_version             1.4
%define use_gtk3                1

Name:       ibus-input-pad
Version:    1.4.0
Release:    alt1_10
Summary:    Input Pad for IBus
License:    GPLv2+
Group:      System/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
# Patch0:     ibus-input-pad-HEAD.patch


BuildRequires:  gettext-devel
%if %use_gtk3
BuildRequires:  libgtk+3-devel
%else
BuildRequires:  gtk2-devel
%endif
BuildRequires:  libtool
BuildRequires:  libibus-devel
BuildRequires:  input-pad-devel
BuildRequires:  intltool
Source44: import.info

%description
The input pad engine for IBus platform.

%prep
%setup -q
# %patch0 -p1

%build
libtoolize -c -f
autoreconf -v
%configure \
%if %use_gtk3
    --with-gtk=3.0      \
%endif
    --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_libexecdir}/ibus-engine-input-pad
%{_libexecdir}/ibus-setup-input-pad
%{_datadir}/ibus/component/*
%{_datadir}/ibus-input-pad

%changelog
* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.0-alt1_10
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.0-alt1_9
- update to new release by fcimport

* Tue Jan 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.0-alt1_8
- initial fc import

